
.home-container {
    padding: 20px;
  }
  
  .logged-in-as {
    text-align: center;
    font-size: 45px;
    margin-bottom: 20px;
    color: #458ecdaf;
    text-transform:uppercase;
    font-weight:bold;
  }
  
  .track-invoice {
    background-color: #f9f9f9;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    margin-top:50px;
  }
  
  .track-invoice h2 {
    font-size: 24px;
    margin-bottom: 15px;
    text-transform:uppercase;
  }
  
  .search-bar {
    width: 80%;
    padding: 8px;
    margin-right:12px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 16px;
  }
  .search-button {
    margin-top: 10px;
    padding: 8px 16px;
    background-color: transparent;
    color: black;
    border: 1px solid blue;
    border-radius: 5px;
    cursor: pointer;
    text-transform:uppercase;
    font-weight:500;
    text-shadow:blue;
  }
  .search-button:hover{
    background-color:blue;
    color:white;
  }
  .error-message {
    color: red;
    text-align:Center;
    font-size:20px;
    text-transform:uppercase;
    font-weight:bold;
    margin-top: 10px;
  }
  
  .invoice-card {
    margin-top: 20px;
    border: 1px solid #ccc;
    padding: 15px;
    border-radius: 10px;
    background-color: #ffffff;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
  }
  
  .invoice-card h3 {
    text-align:center;
    font-size: 36px;
    margin-bottom: 10px;
    margin-top:2px;
    text-transform:uppercase;
  }
  
  .invoice-card p {
    margin: 5px 0;
  /* Add more styles for other components here */
  }
  hr{
    width:50%;
  }
  /* ... Other styles */

.loading-spinner {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 20px;
}

.spinner {
  border: 4px solid rgba(0, 0, 0, 0.1);
  border-top: 4px solid blue;
  border-radius: 50%;
  width: 25px;
  height: 25px;
  animation: spin 1s linear infinite;
}
.pdf-button-container {
  text-align: right;
  margin-top: 20px;
}

.pdf-button {
  padding: 10px 20px;
  background-color: #007bff;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-weight: bold;
}

.pdf-button:hover {
  background-color: #0056b3;
}
@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
